## Apache Zeta Components Manual :: Docs For Class ezcWorkflowDefinitionStorage

### Workflow::ezcWorkflowDefinitionStorage

### Interface ezcWorkflowDefinitionStorage

Interface for workflow definition storage handlers.

Source for this file: /Workflow/src/interfaces/definition_storage.php

Version: | //autogen//

### Method Summary

public ezcWorkflow | `loadByName( $workflowName , [ $workflowVersion = 0] )` Load a workflow definition by name.
public void | `save( $workflow )` Save a workflow definition to the database.

### Methods

#### loadByName

ezcWorkflow loadByName( string $workflowName , [int $workflowVersion = 0] )

Load a workflow definition by name.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$workflowName` | string |
`$workflowVersion` | int |

##### Exceptions:

Type | Description
--- | ---
`ezcWorkflowDefinitionStorageException` |

#### save

void save( ezcWorkflow $workflow )

Save a workflow definition to the database.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$workflow` | ezcWorkflow |

##### Exceptions:

Type | Description
--- | ---
`ezcWorkflowDefinitionStorageException` |

Documentation generated by phpDocumentor 1.4.3